org.apache.ignite.ml.xgboost.parser

## Interface XGBoostModelVisitor<T>

- Type Parameters:
    `T` - The return type of the visit operation. Use `Void` for operations with no return type.
  All Superinterfaces:
    org.antlr.v4.runtime.tree.ParseTreeVisitor<T>
  All Known Implementing Classes:
    XGBoostModelBaseVisitor, XGModelVisitor, XGTreeDictionaryVisitor, XGTreeVisitor

      public interface XGBoostModelVisitor<T>
      extends org.antlr.v4.runtime.tree.ParseTreeVisitor<T>

  This interface defines a complete generic visitor for a parse tree produced by `XGBoostModelParser`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `visitXgHeader(XGBoostModelParser.XgHeaderContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgHeader()`.
    `T` | `visitXgLeaf(XGBoostModelParser.XgLeafContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgLeaf()`.
    `T` | `visitXgModel(XGBoostModelParser.XgModelContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgModel()`.
    `T` | `visitXgNode(XGBoostModelParser.XgNodeContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgNode()`.
    `T` | `visitXgTree(XGBoostModelParser.XgTreeContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgTree()`.
    `T` | `visitXgValue(XGBoostModelParser.XgValueContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgValue()`.

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### visitXgValue

          T visitXgValue(XGBoostModelParser.XgValueContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgValue()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitXgHeader

          T visitXgHeader(XGBoostModelParser.XgHeaderContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgHeader()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitXgNode

          T visitXgNode(XGBoostModelParser.XgNodeContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgNode()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitXgLeaf

          T visitXgLeaf(XGBoostModelParser.XgLeafContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgLeaf()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitXgTree

          T visitXgTree(XGBoostModelParser.XgTreeContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgTree()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitXgModel

          T visitXgModel(XGBoostModelParser.XgModelContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgModel()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021